import fastify from 'fastify'
import dotenv from 'dotenv'
import path from 'path'

// getting .env
dotenv.config({ path: path.join(path.resolve(), '/../../.env') })

// create server
const server = fastify()

/**
 *  add plugins
 *
 */

import liquid from './plugins/liquid.js'

server.register(liquid)

/**
 *  add routes
 *
 */
import authHttp from './http/api/auth.js'
import indexHttp from './http/index.js'
import staticHttp from './http/static.js'

server
    .register(authHttp, {
        'prefix': '/api'
    })
    .register(indexHttp)
    .register(staticHttp)

export default server