import token from '@fastify/csrf'

/**
 *  index
 *
 *  - home view
 *  - logout user
 *
 *
 *  @author Björn Hase, Tentakelfabrik
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://github.com/tentakelfabrik/fastify-lowdb-riotjs-lessons-learned
 *
 */

export default async function(fastify, opts)
{
    /**
     *  home
     *
     *  @param  {object} request
     *  @param  {object} response
     *
     */
    fastify.get('/', async function(request, response)
    {
        response.view('./views/index.liquid')
    })

    /**
     *  logout 
     *
     *  @param  {object} request
     *  @param  {object} response
     *
     */
    fastify.get('/logout', async function(request, response)
    {
        request.destroySession(() => {
            response.redirect('/')
        })
    })
}